Bug 1484539 - Custom button not passing target object to dynamic dialog fields
Summary: Custom button not passing target object to dynamic dialog fields
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: eclarizi
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On: 1481380
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 19:59 UTC by Satoe Imaishi
Modified: 2017-10-24 00:40 UTC (History)
7 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1481380
Environment:
Last Closed: 2017-10-24 00:40:39 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-23 20:06:09 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/77d0b24b268085fdc99b249f7ae812be29af27be

commit 77d0b24b268085fdc99b249f7ae812be29af27be
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Aug 14 17:39:58 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 23 16:01:37 2017 -0400

    Merge pull request #15810 from eclarizio/fix_for_nil_dialog
    
    Fix for custom button not passing target object to dynamic dialog fields
    (cherry picked from commit ad6fdb6916ebb747b623f1404a6be4ac8aeafa8c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1484539

 app/models/dialog.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Milan Falešník 2017-08-29 15:38:22 UTC
The fields are present when following the steps and monitoring the logs.

Comment 5 errata-xmlrpc 2017-10-24 00:40:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.